Subject: [mpls] [Technical Errata Reported] RFC3107 (4497)

From: RFC Errata System <[email-masked]>
Date: Tue, 13 Oct 2015 14:07:28 -0700 (PDT)

The following errata report has been submitted for RFC3107,
"Carrying Label Information in BGP-4".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=3107&eid=4497

--------------------------------------
Type: Technical
Reported by: Alexander Okonnikov <[email-masked]>

Section: 2

Original Text
-------------
Label distribution can be piggybacked in the BGP Update message by
   using the BGP-4 Multiprotocol Extensions attribute [RFC 2283].

Corrected Text
--------------
Label distribution can be piggybacked in the BGP Update message by
   using the BGP-4 Multiprotocol Extensions attribute [BGP-MP].

Notes
-----
No such reference [RFC 2283] in References section. Also document refers to newer version of BGP-MP (RFC 2858).

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC3107 (draft-ietf-mpls-bgp4-mpls-04)
--------------------------------------
Title               : Carrying Label Information in BGP-4
Publication Date    : May 2001
Author(s)           : Y. Rekhter, E. Rosen
Category            : PROPOSED STANDARD
Source              : Multiprotocol Label Switching
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: Loa Andersson <[email-masked]>
Date: Wed, 14 Oct 2015 17:13:45 +0800

Folks, (I removed Yacov, since hie mail address is no longer working),

I think this errata is
- first of minor importance and could be held for a future update
   of RFC 3107
- second the errata is at the core correct
- third I'm not happy with the proposed new text

I think it should be:

NEW - first alternative
-----------------------
Label distribution can be piggybacked in the BGP Update message by
using the BGP-4 Multiprotocol Extensions attribute defined in
RFC 2858 [BGP-MP].

Note:
RFC 2858 obsoletes RFC 2283, so the text above reflects the situation
as it was when 3107 were written. This correctly captured in the
RFC archives and will be found even we only have the original text.
But it would have been no harm doing this updates, if the documentation
had not changed. RFC 2858 has later been obsoleted by RFC 4760, which in
turn has been updated by RFC 7606.

So I'm a bit undecided what to do about this, given that an update will
take place in the time it is done, I believe that the corrected text
should be:

NEW - preferred alternative
---------------------------
Label distribution can be piggybacked in the BGP Update message by
using the BGP-4 Multiprotocol Extensions attribute defined in
RFC 4760 [BGP-MP].

Caveat: This requires an update to the [BGP-MP] in the reference
section at the same time.

Any opinions?

/Loa

---

From: Loa Andersson <[email-masked]>
Date: Wed, 14 Oct 2015 17:20:14 +0800

Folks,

I'm re-sending this because Eric's mail address was wrong. SOory for
those of you that got duplicates, but better duplicates than none at
all.

/Loa

On 2015-10-14 17:13, Loa Andersson wrote:
>> No such reference [RFC 2283] in References section. Also document
>> refers to newer version of BGP-MP (RFC 2858).
>>
>> Instructions:
>> -------------

---

From: "Andrew G. Malis" <[email-masked]>
Date: Wed, 14 Oct 2015 13:34:25 +0200

Loa,

Just personally, I prefer referring to RFC 4760.

Cheers,
Andy

On Wed, Oct 14, 2015 at 11:13 AM, Loa Andersson <[email-masked]> wrote:

> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Wed, 14 Oct 2015 13:39:35 +0200

And repeating my reply to include Eric:

---

From: Loa Andersson <[email-masked]>
Date: Wed, 14 Oct 2015 20:01:38 +0800

Andy,

Yes that is my preference also, I just can't make up my mind if it is
the right thing to do.

/Loa

On 2015-10-14 19:34, Andrew G. Malis wrote:
> On Wed, Oct 14, 2015 at 11:13 AM, Loa Andersson <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>         Reported by: Alexander Okonnikov <[email-masked]
>         <mailto:[email-masked]>>
>
>         Section: 2
>
>         Original Text
>         -------------
>         No such reference [RFC 2283] in References section. Also
>         document refers to newer version of BGP-MP (RFC 2858).
>
>         Instructions:
>         -------------
>     [email-masked] <mailto:[email-masked]>

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 14 Oct 2015 13:09:50 +0100

Normally an errata is constrained to correct the
text as it should have been at the time of writing. It
is outside of the errata system to apply an update which is
what a reference to RFC4760 would be.

- Stewart

---

From: Alexander Okonnikov <[email-masked]>
Date: Wed, 14 Oct 2015 15:13:28 +0300

Hello,

Excuse me, I'm novice, but is it acceptable when elder document (RFC 3107) refers to newer one (RFC 4760)? I.e. my confusion is that when RFC 3107 has been issued, RFC 4760 just didn't exist. If it is correct to point actual version (RFC 4760) while submitting errata, then I would point actual document (RFC 4760). I just was not aware about this detail.

Thanks.

---

From: Martin Vigoureux <[email-masked]>
Date: Wed, 14 Oct 2015 14:15:47 +0200

Loa,

I think we should respect the timeline.
I understand that this errata gives the opportunity to reference the 
most up to date RFC, but I think we should stick to changing [RFC 2283] 
into [BGP-MP]. Otherwise it could open the door to creating erratas for 
any reference that would have been updated/obsoleted.
The updates/obsoletes tag enables readers to reach the latest relevant 
document.

-m

---

From: Loa Andersson <[email-masked]>
Date: Wed, 14 Oct 2015 20:52:37 +0800

Martin, Stewart, Alexander,

You are very well summarizing the very reason why I put it as a note.

So for the Errata I think this is what we should go with:

NEW
---

When we get to do a 3071bis the second alternative could be used.

/Loa

---

From: Eric C Rosen <[email-masked]>
Date: Fri, 16 Oct 2015 15:52:14 -0400

On 10/14/2015 8:15 AM, Martin Vigoureux wrote:
> I think we should stick to changing [RFC 2283] into [BGP-MP]. Otherwise
> it could open the door to creating erratas for any reference that would
> have been updated/obsoleted.

Of course, one could also ask whether it is worthwhile to accept an 
erratum that changes one obsolete reference to another.  Whether one 
looks in the RFC index for RFC2283 or for RFC2858, one will eventually 
follow the change of tags to RFC4760.

---

From: Alexander Okonnikov <[email-masked]>
Date: Fri, 16 Oct 2015 23:27:44 +0300

Hello Eric,

I thought that this is not always correct to recursively refer to actual 
document. For example, RFC 4271 obsoletes RFC 1771, but these two have 
significant differences, and if some document depends on RFC 1771, then 
it doesn't mean that RFC 4271 could be equally used in place of RFC 
1771. Another example is BGP Capabilities Advertisement where RFC 5492 
is significantly differs from RFC 3392 and RFC 2842.

Goal to submit errata was that [RFC 2283] is inexistent reference (RFC 
2858 is referred by [BGP-MP] throughout document instead). If there 
would be written RFC 2283, it would be correct, but [RFC 2283] seems to 
be incorrect.

Thank you.

---

From: Loa Andersson <[email-masked]>
Date: Sat, 17 Oct 2015 13:15:07 +0800

Eric,

> follow the change of tags to RFC4760.

I take this to mean "Accept - hold for a potential 3107bis", right?

/Loa

---

From: Eric C Rosen <[email-masked]>
Date: Mon, 19 Oct 2015 13:28:04 -0400

On 10/17/2015 1:15 AM, Loa Andersson wrote:
> [Loa] I take this to mean "Accept - hold for a potential 3107bis", right?

Well, my reasoning would be:

- No one will ever look at the erratum unless they are working on an 
update of the draft.

- Anyone working on an update of the draft will bring the references up 
to date anyway.

- Therefore, the erratum serves no real purpose, and is really just clutter.

So I wouldn't accept it.  Of course, I also believe that the erratum 
process is way overused.

> [Alexander] I thought that this is not always correct to recursively
> refer to actual document. For example, RFC 4271 obsoletes RFC 1771,
> but these two have significant differences, and if some document
> depends on RFC 1771, then it doesn't mean that RFC 4271 could be
> equally used in place of RFC 1771.

If one is doing a new implementation of RFC3107, one should base it on 
the most recent versions of the BGP specification and of the 
Multiprotocol BGP specification, rather than on the versions that were 
current at the time that RFC3107 was published.

---

From: Ross Callon <[email-masked]>
Date: Mon, 19 Oct 2015 17:52:49 +0000

Referring to the errata updating the reference: I think that at the time that RFC 3107 was published the reference to 2283 was wrong both because 2283 had already been updated, and because there is no actual reference to 2283 in the references section. The errata is therefore correct. The problem that I have with "hold for document update" is that by now, and therefore by the time (if any) that we update 3107, the errata will also be out of date. 

My inclination is to think that at the time that 3107 was published the errata was correct, and thus we should accept it. 

Ross

-----Original Message-----
From: Loa Andersson [mailto:[email-masked]] 
Sent: Saturday, October 17, 2015 1:15 AM
To: Eric Rosen; Martin Vigoureux; RFC Errata System; [email-masked]; [email-masked]; [email-masked]; [email-masked]; Ross Callon
Cc: [email-masked]; [email-masked]
Subject: Re: [mpls] [Technical Errata Reported] RFC3107 (4497)

Eric,

/Loa

---

From: Loa Andersson <[email-masked]>
Date: Thu, 22 Oct 2015 12:58:50 +0800

Ross,

To continue hair splitting.

1. Yes the errata is right

2. We need to accept the errata.

3. The new text should be:
    "Label distribution can be piggybacked in the BGP Update message by
     using the BGP-4 Multiprotocol Extensions attribute defined in
     RFC 2858 [BGP-MP]."

That makes the document internally consistent, though all references
are obsoleted. To take care of this we need a note:
"Accept - hold for a potential 3107bis, the reference pointed to in
  this errata should be update to reflect the most recent versions of
  the BGP specification and of the Multiprotocol BGP specification."

Deborah,

Is this actionable?

/Loa

---

From: <[email-masked]>
Date: Thu, 22 Oct 2015 06:51:54 +0000

To continue hair splitting, the singular of 'errata' is 'erratum'. Just like 'data' and 'datum'.

'errata is' makes no sense. Did you mean that all errata are right? Or is IETF convention at odds with English?

thanks

Lloyd Wood
http://about.me/lloydwood
________________________________________
From: mpls <[email-masked]> on behalf of Loa Andersson <[email-masked]>
Sent: Thursday, 22 October 2015 3:58 PM
To: Ross Callon; Eric Rosen; Martin Vigoureux; RFC Errata System; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [mpls] [Technical Errata Reported] RFC3107 (4497)

Ross,

Deborah,

Is this actionable?

/Loa

---

From: Loa Andersson <[email-masked]>
Date: Thu, 22 Oct 2015 16:00:59 +0800

Lloyd,

I thinks so, I've tried criteria and criterium a couple of time, and 
consistently having reviews suggesting to change criteria to criterias
alternatively criterium to criteriums.

However errata 4497 is just one errata, and that is what we are talking
about, if you sort out the grammar and reach IETF consensus please let
me know.

/Loa

---

From: <[email-masked]>
Date: Thu, 22 Oct 2015 12:21:31 +0000

The singular of criteria is criterion. ('Just one errata' - sigh)

what this indicates about the quality of technical writing in the IETF is less than flattering...

This isn't a matter for IETF consensus. it's a matter for a dictionary.
________________________________________
From: Loa Andersson <[email-masked]>
Sent: Thursday, 22 October 2015 7:00:59 PM
To: Wood L  Dr (Elec Electronic Eng); [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [mpls] [Technical Errata Reported] RFC3107 (4497)

Lloyd,

/Loa